# `letsencrypt.log`

Logging utilities.

class `letsencrypt.log.``DialogHandler`(level=0, height=20, width=68, d=None)

  Bases: `logging.Handler`

  Logging handler using dialog info box.

  Variables:

  - height (int) – Height of the info box (without padding).
  - width (int) – Width of the info box (without padding).
  - lines (list) – Lines to be displayed in the info box.
  - d – Instance of `dialog.Dialog`.

  `emit`(record)

    Emit message to a dialog info box.

    Only show the last (self.height) lines; note that lines can wrap at self.width, so a single line could actually be multiple lines.